CREATE TABLE enq_auto_seq_metadata (
    AUTO_SEQ_METADATA_ID     NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    QUALITY_TYPE_ID          NUMBER(18, 0)     NOT NULL,
    STARTING_NUMBER          NUMBER(9, 0)      NOT NULL,
    SEQUENCE_NAME            VARCHAR2(120)     NOT NULL,
    INCREMENT_BY             NUMBER(9, 0)      NOT NULL,
    PREFIX                   VARCHAR2(80)  ,
    SUFFIX                   VARCHAR2(80)  ,
    MAXIMUM_ATTEMPTS         NUMBER(4, 0)      NOT NULL,
    IS_GAPLESS               VARCHAR2(120) ,
    IS_SEEDED                VARCHAR2(120) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    AUTO_SEQ_METADATA_ID     NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    QUALITY_TYPE_ID          NUMBER(18, 0)     NOT NULL,
    STARTING_NUMBER          NUMBER(9, 0)      NOT NULL,
    SEQUENCE_NAME            VARCHAR2(120)     NOT NULL,
    INCREMENT_BY             NUMBER(9, 0)      NOT NULL,
    PREFIX                   VARCHAR2(80)  ,
    SUFFIX                   VARCHAR2(80)  ,
    IS_GAPLESS               VARCHAR2(120) ,
    IS_SEEDED                VARCHAR2(120) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    MAXIMUM_ATTEMPTS         NUMBER(4, 0)      NOT NULL,
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_enq_auto_seq_metadata PRIMARY KEY (AUTO_SEQ_METADATA_ID, AUTO_SEQ_METADATA_ID)
);
